
%define qtmajor 5
%define qtminor 10
%define qtsubminor 0


%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqthelp %mklibname qt5help %qtmajor
%define libqthelp_d %mklibname qt%{qtmajor}help -d

%define libqtdesigner %mklibname qt5designer %qtmajor
%define libqtdesigner_d %mklibname qt%{qtmajor}designer -d

%define libqtclucene %mklibname qt5clucene %qtmajor
%define libqtclucene_d %mklibname qt%{qtmajor}clucene -d

%define qttarballdir qttools-everywhere-src-%{qtversion}

Name: qttools5
Version: 5.10.0
Release: %mkrel 2
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
Source1: assistant-qt5.desktop
Source2: designer-qt5.desktop
Source3: linguist-qt5.desktop
BuildRequires: qtbase5-devel
BuildRequires: qt5core-private-devel
BuildRequires: qt5widgets-private-devel
BuildRequires: qt5gui-private-devel
BuildRequires: qt5dbus-private-devel
BuildRequires: qtqml5-devel
BuildRequires: qtqml5-private-devel
BuildRequires: sed

Requires:      qttranslations5

%description
Qt GUI tools

%files
%{_bindir}/lconvert
%{_bindir}/lrelease
%{_bindir}/lupdate
%{_bindir}/pixeltool
%{_bindir}/qtpaths
%{_bindir}/qtdiag
%{_bindir}/qtplugininfo
%{_bindir}/qdoc
%{_qt5_bindir}/lconvert
%{_qt5_bindir}/lrelease
%{_qt5_bindir}/lupdate
%{_qt5_bindir}/pixeltool
%{_qt5_bindir}/qtpaths
%{_qt5_bindir}/qtdiag
%{_qt5_bindir}/qtplugininfo
%{_qt5_bindir}/qdoc
%{_qt5_datadir}/phrasebooks
%{_qt5_libdir}/qt5/bin/qtattributionsscanner
%{_bindir}/linguist
%{_qt5_bindir}/linguist

#------------------------------------------------------------------------------
%package linguist
Summary: Qt%{qtmajor} linguist
Group:   Development/Other
Requires: qttools5
Requires: qtbase5-database-plugin-sqlite
Requires: qttranslations5

%description linguist
Qt linguist provides a documentation Browser.

%files linguist
%{_datadir}/applications/*linguist*.desktop


#------------------------------------------------------------------------------
%package assistant
Summary: Qt%{qtmajor} Assistant Doc Utility
Group:   Development/Other
Requires: qtbase5-database-plugin-sqlite
Requires: qttranslations5

%description assistant
Qt Assistant provides a documentation Browser.

%files assistant
%{_bindir}/assistant*
%{_bindir}/qcollectiongen*
%{_bindir}/qhelpconv*
%{_bindir}/qhelpgen*
%{_qt5_bindir}/assistant*
%{_qt5_bindir}/qcollectiongen*
%{_qt5_bindir}/qhelpconv*
%{_qt5_bindir}/qhelpgen*
%{_datadir}/applications/*assistant*.desktop

#------------------------------------------------------------------------------

%package designer
Summary: %{name} Visual Design Tool
Group: Development/Other
Requires:   qttranslations5

%description designer
The Qt Designer is a visual design tool that makes designing and
implementing user interfaces a lot easier.

%files designer
%{_bindir}/design*
%{_qt5_bindir}/design*
%{_qt5_plugindir}/designer
%{_datadir}/applications/*designer*.desktop

#------------------------------------------------------------------------------

%package qtdbus
Summary:  Qt%{qtmajor} Dbus Binary
Group: System/Libraries

%description qtdbus
Qt%{qtmajor} Dbus Binary.

The QtDBus module is a Unix-only library that you can use to perform 
Inter-Process Communication using the D-Bus protocol.

%files qtdbus
%{_bindir}/qdbus
%{_bindir}/qdbusviewer
%{_qt5_bindir}/qdbus
%{_qt5_bindir}/qdbusviewer

#------------------------------------------------------------------------------

%package -n %{libqthelp}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qthelplib = %{version}
Obsoletes: %{_lib}qthelp5
Provides:  %{_lib}qthelp5 = %{version}

%description -n %{libqthelp}
Qt%{qtmajor} Component Library.

The QtHelp module provides classes for integrating online documentation
in applications.

%files -n %{libqthelp}
%{_qt5_libdir}/libQt5Help.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqthelp_d}
Summary: Devel files needed to build apps based on QtJsonDbCompat
Group:    Development/Libraries
Requires: %{libqthelp} = %version
Requires: qtbase5-common-devel = %version
Requires: qttools5
Provides: libqthelp5-devel = %version
Provides: libqt5help-devel = %version
Provides: qthelp5-devel = %version
Provides: qt5help-devel = %version

Provides: libqthelp5-private-devel = %version
Provides: libqt5help-private-devel = %version
Provides: qthelp5-private-devel = %version
Provides: qt5help-private-devel = %version

Obsoletes: %{_lib}qt5help-private-devel
Provides:  %{_lib}qt5help-private-devel = %version


%description -n %{libqthelp_d}
Devel files needed to build apps based on QtJsonDbCompat.

%files -n %{libqthelp_d}
%{_qt5_libdir}/libQt5Help.prl
%{_qt5_libdir}/libQt5Help.so
%{_qt5_libdir}/pkgconfig/Qt5Help.pc
%{_qt5_includedir}/QtHelp
%{_qt5_datadir}/mkspecs/modules/qt_lib_help.pri
%{_qt5_libdir}/cmake/Qt5Help/Qt5HelpConfig.cmake
%{_qt5_libdir}/cmake/Qt5Help/Qt5HelpConfigVersion.cmake
%{_qt5_libdir}/cmake/Qt5Help/Qt5HelpConfigExtras.cmake
%{_qt5_libdir}/cmake/Qt5LinguistTools/Qt5LinguistToolsConfig.cmake
%{_qt5_libdir}/cmake/Qt5LinguistTools/Qt5LinguistToolsMacros.cmake
%{_qt5_libdir}/cmake/Qt5LinguistTools/Qt5LinguistToolsConfigVersion.cmake
%{_qt5_datadir}/mkspecs/modules/qt_lib_help_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtclucene}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtclucenelib = %{version}

Obsoletes: %{_lib}qtclucene5
Provides:  %{_lib}qtclucene5 = %{version}

%description -n %{libqtclucene}
Qt%{qtmajor} Component Library.

%files -n %{libqtclucene}
#%{_qt5_libdir}/libQt5CLucene.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtclucene_d}
Summary: Devel files needed to build apps based on QtCLucene
Group:    Development/Libraries
Requires: %{libqtclucene} = %version
Provides: libqtclucene5-devel = %version
Provides: libqt5clucene-devel = %version
Provides: qtclucene5-devel = %version
Provides: qt5clucene-devel = %version

Provides: libqtclucene5-private-devel = %version
Provides: libqt5clucene-private-devel = %version
Provides: qtclucene5-private-devel = %version
Provides: qt5clucene-private-devel = %version

Obsoletes: %{_lib}qt5clucene-private-devel
Provides:  %{_lib}qt5clucene-private-devel = %version

%description -n %{libqtclucene_d}
Devel files needed to build apps based on QtCLucene.

%files -n %{libqtclucene_d}
#%{_qt5_libdir}/libQt5CLucene.prl
#%{_qt5_libdir}/libQt5CLucene.so
#%{_qt5_includedir}/QtCLucene
#%{_qt5_datadir}/mkspecs/modules/qt_lib_clucene_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtdesigner}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtdesignerlib = %{version}
Obsoletes: %{_lib}qtdesigner5
Provides:  %{_lib}qtdesigner5 = %{version}

%description -n %{libqtdesigner}
Qt%{qtmajor} Component Library.

The QtDesigner module provides classes that allow you to create your own
custom widget plugins for Qt Designer, and classes that enable you to 
access Qt Designer's components.

%files -n %{libqtdesigner}
%{_qt5_libdir}/libQt5Designer.so.%{qtmajor}*
%{_qt5_libdir}/libQt5DesignerComponents.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdesigner_d}
Summary: Devel files needed to build apps based on QtDesigner
Group:    Development/Libraries
Requires: %{libqtdesigner} = %version
Requires: qttools5-designer = %version
Provides: libqtdesigner5-devel = %version
Provides: libqt5designer-devel = %version
Provides:  qtdesigner5-devel = %version
Provides:  qt5designer-devel = %version

Provides: libqtdesigner5-private-devel = %version
Provides: libqt5designer-private-devel = %version
Provides: qtdesigner5-private-devel = %version
Provides: qt5designer-private-devel = %version

Obsoletes: %{_lib}qt5designer-private-devel
Provides:  %{_lib}qt5designer-private-devel = %version

%description -n %{libqtdesigner_d}
Devel files needed to build apps based on QtDesigner.

%files -n %{libqtdesigner_d}
%{_qt5_libdir}/libQt5Designer.so
%{_qt5_libdir}/libQt5DesignerComponents.so
%{_qt5_libdir}/libQt5Designer.prl
%{_qt5_libdir}/libQt5DesignerComponents.prl
%{_qt5_libdir}/libQt5UiTools.prl
%{_qt5_libdir}/libQt5UiTools.a
%{_qt5_libdir}/pkgconfig/Qt5Designer.pc
%{_qt5_libdir}/pkgconfig/Qt5UiTools.pc
%{_qt5_includedir}/QtDesignerComponents
%{_qt5_includedir}/QtDesigner
%{_qt5_includedir}/QtUiPlugin
%{_qt5_includedir}/QtUiTools
%{_qt5_datadir}/mkspecs/modules/qt_lib_designer.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_uitools.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_uiplugin.pri
%{_qt5_libdir}/cmake/Qt5Designer
%{_qt5_libdir}/cmake/Qt5UiTools
%{_qt5_libdir}/cmake/Qt5UiPlugin
%{_qt5_datadir}/mkspecs/modules/qt_lib_designer_private.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_designercomponents_private.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_uitools_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qttools-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/applications
install -m 644 %SOURCE2 %{buildroot}/%{_datadir}/applications
install -m 644 %SOURCE3 %{buildroot}/%{_datadir}/applications
sed -i -e 's#/usr/lib/qt5/bin#%{_qt5_bindir}#' %{buildroot}/%{_datadir}/applications/*.desktop

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -rf %{buildroot}/%_qt5_examplesdir

mkdir -p %buildroot/%{_bindir}

pushd %buildroot/%{_bindir}
	for i in assistant designer lconvert linguist lrelease lupdate pixeltool qcollectiongenerator qdbus qdbusviewer qdoc qhelpconverter qhelpgenerator qtdiag qtpaths qtplugininfo ; do 
				ln -s %{_qt5_bindir}/$i . ;
	done
popd


%changelog
* Tue Dec 12 2017 bb2 <bb2> - 5.10.0-2pclos2017
- rebuild against updates
- split our linquist into separate package

* Sat Dec 09 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed Nov 22 2017 bb2 <bb2> - 5.9.3-1pclos2017
- new version

* Fri Oct 06 2017 bb2 <bb2> - 5.9.2-1pclos2017
- new version

* Fri Jun 30 2017 bb2 <bb2> - 5.9.1-1pclos2017
- new version

* Mon Jun 04 2017 bb2 <bb2> 5.9.0-1pclos2017
- new version

* Sun Jan 01 2017 bb <bb> 5.6.2-2pclos2017
- add bindir symlinks
- Bug 374402

* Thu Oct 13 2016 bb <bb> 5.6.2-1pclos2016
- update

* Tue Jul 12 2016 bb <bb> 5.6.1-2pclos2016
- updated tarball

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
